Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class EventInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.TemplateNodeInfo
                  |
                  +--com.bea.wlpi.common.plugin.EventInfo

public final class EventInfo
extends TemplateNodeInfo

Provides information about an event node type defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginTriggerPanel`, `PluginEvent`, Serialized Form

Field Summary
`static int` | `KEY_DATA` Key value to retrieve the `PluginData` implementation class name.
`static int` | `KEY_EVENT` Key value to retrieve the `PluginEvent` implementation class name.
`static int` | `KEY_PANEL` Key value to retrieve the `PluginTriggerPanel` implementation class name.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`EventInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, byte[] iconByteArray, java.lang.String[] classNames, FieldInfo fieldInfo)` Create a new `EventInfo` object.
`EventInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, javax.swing.Icon icon, java.lang.String[] classNames, FieldInfo fieldInfo)` Deprecated. To avoid using java.awt library.

Method Summary
`FieldInfo` | `getFieldInfo()` Return the field type for this event type.

Methods inherited from class com.bea.wlpi.common.plugin.TemplateNodeInfo
`getIcon`

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_DATA

    public static final int KEY_DATA

  Key value to retrieve the `PluginData` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginTriggerPanel` implementation class name.

### KEY_EVENT

    public static final int KEY_EVENT

  Key value to retrieve the `PluginEvent` implementation class name.

Constructor Detail

### EventInfo

    public EventInfo(java.lang.String pluginName,
                     int ID,
                     java.lang.String name,
                     java.lang.String description,
                     javax.swing.Icon icon,
                     java.lang.String[] classNames,
                     FieldInfo fieldInfo)

  Deprecated. To avoid using java.awt library.
  Create a new `EventInfo` object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this event type.
    `ID` - The unique plugin-supplied identifier for this event type.
    `name` - The localized name of this event type.
    `description` - The localized description of this event type.
    `icon` - The icon for this event type. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this event type. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `fieldInfo` - The field type processed by this event node type.
  See Also:
    `getFieldInfo()`

### EventInfo

    public EventInfo(java.lang.String pluginName,
                     int ID,
                     java.lang.String name,
                     java.lang.String description,
                     byte[] iconByteArray,
                     java.lang.String[] classNames,
                     FieldInfo fieldInfo)

  Create a new `EventInfo` object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this event type.
    `ID` - The unique plugin-supplied identifier for this event type.
    `name` - The localized name of this event type.
    `description` - The localized description of this event type.
    `iconByteArray` - The byte array representation of graphical image for this event type. This icon is used by the 'interface view' facility.
    `classNames` - A three-element array to identify plugin-supplied classes related to this event type. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.
    `fieldInfo` - The field type processed by this event node type.
  See Also:
    `getFieldInfo()`

Method Detail

### getFieldInfo

    public FieldInfo getFieldInfo()

  Return the field type for this event type. The WebLogic Process Integrator expression evaluator requires this information in order to process event data in the format used by this event node type. If the plugin does not specify a field type, the evaluator will use the default `FieldInfo.DEFAULT_FIELD` field type to resolve field references in expressions (only in places where field references are permissible).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)